GET_ALL_PRIMARYKEYS_DATABASE = """SELECT tc.table_schema, tc.table_name, kc.column_name,tc.constraint_type
        FROM information_schema.table_constraints AS tc JOIN information_schema.key_column_usage AS kc 
        ON kc.table_name = tc.table_name AND kc.table_schema = tc.table_schema 
        AND kc.constraint_name = tc.constraint_name
        WHERE tc.constraint_type = 'PRIMARY KEY'
        ORDER BY tc.table_schema, tc.table_name, kc.position_in_unique_constraint ;"""

GET_ALL_PRIVILEGES_FOR_USER = "SELECT * FROM pg_user WHERE pg_user.usename = '%s' ;"

GET_ALL_PUBLIC_TABLES_DATABASE = """SELECT b.table_catalog, b.table_schema , b.table_name, a.f_geometry_column, a.coord_dimension, a.srid, type , table_type
FROM information_schema.tables AS b  FULL OUTER JOIN geometry_columns AS a ON (a.f_table_name = b.table_name AND a.f_table_schema = b.table_schema) 
WHERE  b.table_name !~ '^pg_' and b.table_name !~ '^_pg_'
AND b.table_name !~ '^sql_' AND b.table_schema = 'public'
ORDER BY b.table_name, a.f_geometry_column ;"""

GET_ALL_SCHEMAS_OUTSYSTEM_DATABASE = "SELECT schema_name FROM information_schema.schemata WHERE schema_name !~ '^pg_' and schema_name !~ 'information_schema';"

GET_ALL_SCHEMAS_TABLES_DATABASE = """SELECT b.table_catalog, b.table_schema , b.table_name, table_type, a.f_geometry_column, a.coord_dimension, type, a.srid
FROM information_schema.tables AS b  FULL OUTER JOIN geometry_columns AS a ON (a.f_table_name = b.table_name AND a.f_table_schema = b.table_schema) WHERE  b.table_name !~ '^pg_' and b.table_name !~ '^_pg_'
AND b.table_name !~ '^sql_' AND b.table_schema !~ 'information_schema'
ORDER BY b.table_schema, b.table_name ;"""

GET_ALL_SCHEMAS_OUTSYSTEM_DATABASE_WITHOUT_OPTION = "SELECT schema_name FROM information_schema.schemata ORDER BY schema_name ;"

GET_ALL_SCHEMAS_TABLES_DATABASE_WITHOUT_OPTION = """SELECT b.table_catalog, b.table_schema , b.table_name, table_type, a.f_geometry_column, a.coord_dimension, type, a.srid
FROM information_schema.tables AS b  FULL OUTER JOIN geometry_columns AS a ON (a.f_table_name = b.table_name AND a.f_table_schema = b.table_schema) 
ORDER BY b.table_schema, b.table_name ;"""

GET_ALL_SERVER_USERS = "SELECT * FROM pg_roles ;\nSELECT * FROM pg_shadow;"

GET_PG_KEYWORDS = "SELECT word FROM pg_get_keywords();"
GET_PG_PROCEDURES = "SELECT proname FROM pg_proc;"

GET_SERVER_BASES = "SELECT datname FROM pg_database WHERE datistemplate = false ;"

GET_ALL_SCHEMAS_SYSTEM_DATABASE = "SELECT schema_name FROM information_schema.schemata WHERE schema_name not in %s ORDER BY schema_name ;"

GET_SERVER_SYSTEM_SCHEMAS = """SELECT '%s', n.nspname AS schemaname,
c.relname AS tablename,
pg_get_userbyid(c.relowner) AS tableowner,
t.spcname AS tablespace,
c.relhasindex AS hasindexes,
c.relhasrules AS hasrules,
c.relhastriggers AS hastriggers
FROM pg_class c
LEFT JOIN pg_namespace n ON n.oid = c.relnamespace
LEFT JOIN pg_tablespace t ON t.oid = c.reltablespace
WHERE c.relkind = 'r'::"char" AND n.nspname not in %s;"""

GET_SERVER_EXTENSIONS = "SELECT name, default_version, installed_version, comment FROM pg_available_extensions ;"

GET_SERVER_NUMERIC_TYPES = "SELECT pg_type.oid FROM pg_type JOIN pg_namespace  ON typnamespace = pg_namespace.oid  WHERE typcategory = 'N';"

GET_TABLE_COUNT_RECORDS = "SELECT count(*) FROM \"%s\".\"%s\";"

GET_TABLE_FIELDS = """SELECT a.attname AS column_name, pg_catalog.format_type(a.atttypid, a.atttypmod) AS type,
CASE WHEN a.attnotnull THEN 'NOT NULL' ELSE 'NULL' END AS not_null 
FROM pg_attribute a LEFT JOIN pg_index p ON p.indrelid = a.attrelid AND a.attnum = ANY(p.indkey)
LEFT JOIN pg_description d ON d.objoid = a.attrelid AND d.objsubid = a.attnum
LEFT JOIN pg_attrdef f ON f.adrelid = a.attrelid AND f.adnum = a.attnum
WHERE a.attnum > 0 AND NOT a.attisdropped AND a.attrelid = '"%s"."%s"'::regclass ORDER BY a.attnum ;"""

GET_TABLE_JOINS = """SELECT CASE WHEN pg_get_constraintdef(c.oid) LIKE 'FOREIGN KEY %%' THEN substring(pg_get_constraintdef(c.oid), position(' REFERENCES ' in pg_get_constraintdef(c.oid))+12, position('(' in substring(pg_get_constraintdef(c.oid), 14))-position(' REFERENCES ' in pg_get_constraintdef(c.oid))+1) END AS "PK_Table", 
CASE WHEN pg_get_constraintdef(c.oid) LIKE 'FOREIGN KEY %%' THEN substring(pg_get_constraintdef(c.oid), position('(' in substring(pg_get_constraintdef(c.oid), 14))+14, position(')' in substring(pg_get_constraintdef(c.oid), position('(' in substring(pg_get_constraintdef(c.oid), 14))+14))-1) END AS "PK_Column",
conrelid::regclass AS "FK_Table",
CASE WHEN pg_get_constraintdef(c.oid) LIKE 'FOREIGN KEY %%' THEN substring(pg_get_constraintdef(c.oid), 14, position(')' in pg_get_constraintdef(c.oid))-14) END AS "FK_Column"
FROM pg_constraint c JOIN pg_namespace n ON n.oid = c.connamespace
WHERE contype IN ('f', 'p ') AND pg_get_constraintdef(c.oid) LIKE 'FOREIGN KEY %%'
AND  substring(pg_get_constraintdef(c.oid), position(' REFERENCES ' in pg_get_constraintdef(c.oid))+12, position('(' in substring(pg_get_constraintdef(c.oid), 14))-position(' REFERENCES ' in pg_get_constraintdef(c.oid))+1) = '%s.%s'
ORDER BY pg_get_constraintdef(c.oid), conrelid::regclass::text, contype DESC;
"""

GET_TABLE_GEOMETRY_COLUMN = """SELECT f_geometry_column FROM geometry_columns WHERE f_table_schema = '%s' AND f_table_name = '%s';"""
GET_TABLE_RASTER_COLUMN = """SELECT r_raster_column FROM raster_columns WHERE r_table_schema = '%s' AND r_table_name = '%s';"""

GET_TABLE_KEY_COLUMN = """SELECT tc.table_schema, tc.table_name, kc.column_name,tc.constraint_type
FROM information_schema.table_constraints AS tc JOIN information_schema.key_column_usage AS kc 
ON kc.table_name = tc.table_name AND kc.table_schema = tc.table_schema 
AND kc.constraint_name = tc.constraint_name
WHERE tc.constraint_type = 'PRIMARY KEY' AND tc.table_schema = '%s' AND tc.table_name = '%s'
ORDER BY tc.table_schema, tc.table_name, kc.position_in_unique_constraint ;"""
#4.3.9

GET_TABLE_NAMES = "SELECT tablename FROM pg_tables;"

GET_TABLE_RECORDS = "SELECT * FROM \"%s\".\"%s\" LIMIT %s;"

GET_TABLE_STATISTICS = """SELECT *, pg_size_pretty(total_bytes) AS total
                                    , pg_size_pretty(index_bytes) AS INDEX
                                    , pg_size_pretty(toast_bytes) AS toast
                                    , pg_size_pretty(table_bytes) AS TABLE
                                  FROM (
                                  SELECT *, total_bytes-index_bytes-COALESCE(toast_bytes,0) AS table_bytes FROM (
                                      SELECT c.oid,nspname AS table_schema, relname AS TABLE_NAME
                                              , c.reltuples AS row_estimate
                                              , pg_total_relation_size(c.oid) AS total_bytes
                                              , pg_indexes_size(c.oid) AS index_bytes
                                              , pg_total_relation_size(reltoastrelid) AS toast_bytes
                                          FROM pg_class c
                                          LEFT JOIN pg_namespace n ON n.oid = c.relnamespace
                                          WHERE relkind = 'r'
                                  ) a
                                ) a WHERE table_name = '%s';"""



GET_VIEW_SQL = """SELECT CASE c.relkind
                    WHEN 'v' THEN pg_catalog.pg_get_viewdef(c.oid, true) ELSE null END AS query
                    FROM pg_catalog.pg_class c
                    LEFT JOIN pg_catalog.pg_namespace n ON (n.oid = c.relnamespace)
                    LEFT JOIN pg_catalog.pg_attribute a ON (c.oid = a.attrelid AND a.attnum > 0 AND NOT a.attisdropped)
                    LEFT JOIN pg_catalog.pg_stat_all_tables s ON (c.oid = s.relid)
                    WHERE c.relkind  = 'v' AND c.relname = '%s'
                    GROUP BY n.nspname,  c.relowner,  c.relkind, c.relname, s.n_live_tup, c.oid 
                    ORDER BY n.nspname, c.relname;"""


GET_VIEW_SQL_PLUS = """SELECT  n.nspname AS table_schema, pg_catalog.pg_get_userbyid(c.relowner) AS table_owner,  c.relname AS table_name,  CASE c.relkind
                    WHEN 'v' THEN pg_catalog.pg_get_viewdef(c.oid, true) ELSE null END AS query
                    FROM pg_catalog.pg_class c
                    LEFT JOIN pg_catalog.pg_namespace n ON (n.oid = c.relnamespace)
                    LEFT JOIN pg_catalog.pg_attribute a ON (c.oid = a.attrelid AND a.attnum > 0 AND NOT a.attisdropped)
                    LEFT JOIN pg_catalog.pg_stat_all_tables s ON (c.oid = s.relid)
                    WHERE c.relkind  = 'v' AND c.relname = '%s'
                    GROUP BY n.nspname,  c.relowner,  c.relkind, c.relname, s.n_live_tup, c.oid 
                    ORDER BY n.nspname, c.relname;"""

TERMINATE_BACKEND_BASE = "SELECT pg_terminate_backend(pid) FROM pg_stat_activity WHERE datname = '%s' AND pid <> pg_backend_pid() ;"

#REVOKE CONNECT ON %s FROM public #database

