# -*- coding:utf-8 -*- 
from qgis.PyQt.QtCore import (QEvent, Qt)
from qgis.PyQt.QtWidgets import(QAction, QDialog)

from qsphere.ui_about import uiDlgAbout
from qsphere.ui_contacts import uiDlgContact
from qsphere.ui_catalogue import uiDlgMetadata
from qsphere.ui_database import uiDlgDatabase
from qsphere.ui_navigator import uiDlgNavigator
from qsphere.ui_options import uiDlgOptions
from qsphere.qsphere_tools import (getOptions, windowIcon, windowProperties)

              
class dlgSgbdr(QDialog, uiDlgDatabase):
	def __init__(self, iface, parent, context, contextText):
                QDialog.__init__(self, None, Qt.WindowStaysOnTopHint)
                self.iface = iface
                self.parent = parent
                self.context = context
                self.contextText = contextText
                windowIcon(self, "layers-database.png")
                windowProperties(self, self.parent)
                self.setupUi()

class dlgAbout(QDialog, uiDlgAbout):
	def __init__(self, parent):
		QDialog.__init__(self)
		self.parent = parent
		self.setupUi()
     
class dlgOptions(QDialog, uiDlgOptions):
        def __init__(self, iface, parent):
             QDialog.__init__(self)
             self.setObjectName("dlgOptions")
             self.parent = parent
             self.iface = iface
             windowIcon(self, "qsphereoptions.png")
             windowProperties(self, self.parent)
             self.setupUi()

class dlgContacts(QDialog, uiDlgContact):
        def __init__(self, parent, IsNotSoloMode):
             QDialog.__init__(self)
             self.setObjectName("dlgContacts")
             windowIcon(self, "contact.png")
             windowProperties(self, parent)
             
             self.parent = parent
             self.notSoloMode = IsNotSoloMode
             self.setupUi()
             self.installEventFilter(self)

        def eventFilter(self, obj, event):
             if not event : return False
             if event == None : return False
             if event.type() == QEvent.WindowActivate : getOptions(self)
             return QDialog.eventFilter(self, obj, event)
          

def loadDlgNavigator(self, iface, url, cond, extent, localLangage, parent, senderBut, icon, isModal):
    d = dlgNavigator(iface, url, cond, extent, localLangage, parent, senderBut, isModal)
    windowProperties(d, d.parent) 
    windowIcon(d, icon) 
    if not isModal :
        d.setModal(False)
        d.show()
        return d
    else : d.exec_()

class dlgNavigator(QDialog, uiDlgNavigator): 
        def __init__(self, iface, url, isXml, extent, localLangage, parent, senderBut, isModal):
                QDialog.__init__(self)
                self.setObjectName("dlgNavigator")
                self.iface = iface
                self.localLangage = localLangage if localLangage in ("fr", "it", "fi", "es", "de") else "en"
                self.homeurl = url                
                self.isXml = isXml
                self.emprise = extent
                self.parent = parent
                self.senderBut = senderBut
                self.isModal = isModal
                self.setupUi()
                self.installEventFilter(self)


        def eventFilter(self, obj, event):
                if not event : return False
                if event == None : return False
                if event.type() == QEvent.WindowActivate : getOptions(self)
                return QDialog.eventFilter(self, obj, event)    
		
		
class dlgMetadata(QDialog, uiDlgMetadata):
        def __init__(self, iface, langue, languageIndex, langs, langsDico, localLangage, formats, listCodecs,
                     listTemporalSystem, listTypeRessources, listCountries, indexCountry, listCountriesCode,
                     localeFullName, parent):
                QDialog.__init__(self)
                
                self.iface = iface
                self.setObjectName("dlgMetadata")
                windowProperties(self, parent)
                self.parent = parent
                self.isFromDownload = None
                self.indexLang = self.qspherePlugin.indexLang
                self.setupUi()
                self.installEventFilter(self)

        def reject(self): return 

        def eventFilter(self, obj, event):
                if not event : return False
                if event == None : return False
                if (event.type() == QEvent.KeyPress) :
                       
                        if (event.key() == Qt.Key_F11) or (event.key() == Qt.Key_F12) :
                                tableWidget = None
                                if self.focusWidget().metaObject().className() in ("QTableWidget", "MyTableWidget", "myTableWidget"): tableWidget = self.focusWidget()
                                else :
                                        try :
                                                Obj = self.focusWidget().parent().parent()
                                                if Obj.metaObject().className() in ("QTableWidget", "MyTableWidget", "myTableWidget"): tableWidget = Obj
                                        except : pass

                                if tableWidget :  
                                        rootNameAction = "add" if (event.key() == Qt.Key_F11) else "del"
                                        if tableWidget.objectName()=="tableechelles" :
                                                command = self.findChild(QAction,"%s_8_%s" % (rootNameAction, "grouperesolutionscale"))
                                                if command != None : command.triggered.emit(True)
                                        else :     
                                                command = self.findChild(QAction,"%s_6_%s" % (rootNameAction, tableWidget.objectName()))
                                                if command != None : command.triggered.emit(True); 
                 
                return QDialog.eventFilter(self, obj, event)  

