# -*- coding: utf-8 -*-
from qgis.PyQt.QtCore import Qt
from qgis.PyQt.QtGui import (QBrush, QColor, QImage, QPalette, QPixmap, QMovie)
from qgis.PyQt.QtWidgets import (QApplication, QFrame, QHBoxLayout, QLabel, QTextEdit)

from qsphere.qsphere_objmaker import myPushButtonFunny
from qsphere.qsphere_tools import (getThemeIcon, windowIcon, windowProperties)


class uiDlgAbout(object):
    def setupUi(self):
        self.setObjectName("dialogAbout")
        self.maxWidth, self.maxheight = 530, 400 
        self.setMinimumSize(self.maxWidth,self.maxheight)
        self.setMaximumSize(self.maxWidth,self.maxheight)        
        self.resize(self.maxWidth, self.maxheight) 
        windowProperties(self, self.parent)
        windowIcon(self, "about.png")
        
        self.lblVersion = QLabel(self)
        self.lblVersion.setGeometry(10, 10, 400, 25)

        self.textEdit = QTextEdit(self)

        palette = QPalette()
        brush = QBrush(QColor(0,0,0,0))
        brush.setStyle(Qt.SolidPattern)
        palette.setBrush(QPalette.Active, QPalette.Base,brush)
        brush = QBrush(QColor(0,0,0,0))
        brush.setStyle(Qt.SolidPattern)
        palette.setBrush(QPalette.Inactive, QPalette.Base,brush)

        brush = QBrush(QColor(255,255,255))
        brush.setStyle(Qt.SolidPattern)
        palette.setBrush(QPalette.Disabled, QPalette.Base,brush)
        self.textEdit.setPalette(palette)
        self.textEdit.setAutoFillBackground(True)
        self.textEdit.width = 320
        self.textEdit.height = 380
        self.textEdit.setFrameShape(QFrame.NoFrame)
        self.textEdit.setFrameShadow(QFrame.Plain)
        self.textEdit.setReadOnly(True)
        self.textEdit.setObjectName("textEdit")
        self.textEdit.setTextInteractionFlags(Qt.TextBrowserInteraction)
        self.textEdit.setGeometry(10, 40, 200, 200)  

        self.lblImage = QLabel(self)
        self.movie = QMovie(getThemeIcon("sphery.gif")) 
        self.lblImage.setMovie(self.movie)
        self.lblImage.setLayout(QHBoxLayout())
        self.lblImage.layout().addWidget(QLabel(''))
        self.lblImage.setVisible(False)
        self.lblImage.setGeometry(220, 10, 286, 308) 
        self.lblImage.setVisible(True)
        self.movie.start()
        self.lblImage.repaint()


        icon = getThemeIcon("closeabout.png")
        toolTip = QApplication.translate("QSphere","Close")
        self.closeButton = myPushButtonFunny(self)
        self.closeButton.initPushButton(128, 128, 180, 250, "closeButton", "", toolTip, True, icon, 128, 128, True)
        
        self.translateUi()
        self.closeButton.clicked.connect(self.reject)
        

    def translateUi(self):
        title = "QSphere"
        self.setWindowTitle(title)
        self.lblVersion.setText("%s %s" % (title, self.version))
        blocText0   = QApplication.translate("QSphere", "This extension")
        blocText1   = QApplication.translate("QSphere", "creates metdata in XML ISO standard")
        blocText2   = QApplication.translate("QSphere", "It is not part of the engine Qgis and any problem can not be addressed QGIS developers")
        author      = QApplication.translate("QSphere", "Author")
        dateVersion = QApplication.translate("QSphere", "code (march 2018)").replace("2018", "2019")
        
        self.textEdit.setHtml("<html><head><meta name=\"qrichtext\" content=\"1\" /><style type=\"text/css\">\n"
        "p, li { white-space: pre-wrap; }\n"
        "</style></head><body style=\" font-family:\'Sans Serif\'; font-size:8pt; font-weight:400; font-style:normal;\">\n"
        "<p style=\" margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:\'MS Shell Dlg 2\'; font-size:8pt;\">"
        "<span style=\" font-weight:600;\">%s</span> %s .... %s.</p></td></tr></table>"
        "<p style=\"-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\"></p>\n"
        "<p style=\"margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;\">"
        "<font color='#0000FF'><b><u>%s</u></b></font><br><br>"
        "<b>M. MASSE Christophe</b>."
        "<br><br><i>%s.</i></p></body></html>" % (blocText0, blocText1, blocText2, author, dateVersion))

