<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:output omit-xml-declaration="yes" indent="yes"/>
  <xsl:strip-space elements="*"/>


  <xsl:template match="/">
    <style>
      body {font-family: sans-serif;}
      td {padding: 4px;}
    </style>
    <table>
      <xsl:apply-templates/>
    </table>
  </xsl:template>

  <xsl:template match="*">
	
	<xsl:variable name="type"><xsl:value-of select="name()"/></xsl:variable>

	<xsl:choose>
    <xsl:when test="contains($type, 'sms')">
    <tr style="border: 1px solid #000000;">
      <td style="background-color: #aaa;">
	    <img src="./../../icons/sms.png" width='64px' height='64px'/>
      </td>
      <td style="background-color: #e4f584;">
		<small> 
		<xsl:if test="@type = 1"><img src="./../../icons/copyinlist.png"/><text> </text><xsl:value-of select="@contact_name"/> [ Reçu de : <xsl:value-of select="@service_center"/></xsl:if>
		<xsl:if test="@type = 2"><img src="./../../icons/formatactivate.png"/><text> </text><xsl:value-of select="@contact_name"/> [ Envoyé</xsl:if>
		<xsl:if test="@type = 3"><img src="./../../icons/saveas.png"/><text> </text><xsl:value-of select="@contact_name"/> [ Brouillon</xsl:if>
		</small> 
		 ]<br/>
		<b><small><xsl:value-of select="@readable_date"/></small></b><br/>
		<br/>
		<i><xsl:value-of select="@body"/></i>
		<br/><br/>
      </td>
    </tr>
	</xsl:when>
	
	
	<xsl:otherwise>
	
		<xsl:choose>
					<xsl:when test="@ct and @ct != 'application/smil'">
						  <tr style="border: 1px solid #000000;">
						  <td style="background-color: #aaa;">
							<img src="./../../icons/mms.png" width='64px' height='64px'/>
						  </td>
						  <td style="background-color: #e4f584;">
						  
					<xsl:choose>
						<xsl:when test="@ct = 'video/3gpp'">Vidéo ...</xsl:when>
						<xsl:when test="@ct = 'text/plain'"><xsl:value-of select="@text"/><br/></xsl:when>
						<xsl:when test="starts-with(@ct,'image/')" >
							<br/><br/>
							<img height="320">
							  <xsl:attribute name="src">
								<xsl:value-of select="concat(concat('data:',@ct), concat(';base64,',@data))"/>
							  </xsl:attribute>
							</img><br/><br/>
						</xsl:when>
					</xsl:choose>
							
						  </td>
						</tr>	
					</xsl:when>
		</xsl:choose>
		

	</xsl:otherwise>
	</xsl:choose>
  </xsl:template>

		
  <xsl:template match="*[*]">
	<xsl:apply-templates/>
  </xsl:template>

</xsl:stylesheet>