<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" 
	xmlns:gco="http://www.isotc211.org/2005/gco"
	xmlns:gmd="http://www.isotc211.org/2005/gmd"
	xmlns:gfc="http://www.isotc211.org/2005/gfc"
	xmlns:gmx="http://www.isotc211.org/2005/gmx"
	xmlns:gts="http://www.isotc211.org/2005/gts"
	
	xmlns:gml="http://www.opengis.net/gml"
	xmlns:csw="http://www.opengis.net/cat/csw/2.0.2"
	
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"

	xmlns:geonet="http://www.fao.org/geonetwork"	

	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	
<xsl:output version="4.01" omit-xml-declaration="yes" method="html" encoding="UTF-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN" doctype-system="http://www.w3.org/TR/html4/loose.dtd" indent="yes"/>
<xsl:variable name="fileMapping" select="document('./qsphere_form_fr.xsl')"/>   
<xsl:template match='/'>
<html><head>
<style type="text/css" media="all" >
	 h2 {text-align: center; font: bold 14px verdana, arial, sans-serif; padding: 5px 5px;BACKGROUND-COLOR: #AAA;}
    .ClassTAB{background:white}
    .Titre {text-align: center; font: bold 24px verdana, arial, sans-serif; padding: 5px 5px;}
    .TabCommon {FONT: 12px Verdana; FONT-STYLE: italic; COLOR: #FFFFFF; PADDING: 5px; FONT-WEIGHT: bold; TEXT-ALIGN: center; HEIGHT: 30px; WIDTH: 25%;}
    .TabContent {PADDING: 5px;}
    .TabContentBottom {PADDING: 10px; BORDER-BOTTOM: 2px outset #99ccff;}
    .TabOff {CURSOR: pointer; BACKGROUND-COLOR: #AAA; BORDER-LEFT: 1px solid #BBBBBB;}
    .TabOn {CURSOR: pointer; FONT-STYLE: normal;  TEXT-DECORATION: overline; BORDER-TOP: 2px outset #D1D1D1; COLOR: #000000;}
    .TabBorderBottom {BORDER-BOTTOM: 2px inset #D1D1D1;}
    .TabActiveBorderLeftRight {BORDER-RIGHT: 2px outset #D1D1D1; BORDER-LEFT: 2px outset #D1D1D1;}
    .TabActiveBackground {BACKGROUND-COLOR: #F7F8F3;}
    .Tabhelp {text-align: right;}
    dt {font-weight: bold; color: black; font: bold 12px Verdana, sans-serif;}
    dd {margin-bottom: 0.66em; color:#808080; font: 12px Verdana, sans-serif;}
</style>
<script language="javascript">
<![CDATA[

function TabClick( nTab ){
  Col = document.getElementsByName("Content");
  for (i = 0; i < document.getElementsByName("Content").length; i++)
  {
    document.getElementsByName("tabs")[i].className = "TabBorderBottom TabCommon TabOff";
    document.getElementsByName("Content")[i].style.display = "none";
  }
    document.getElementsByName("Content")[nTab].style.display = "block";
    document.getElementsByName("tabs")[nTab].className = "TabCommon TabOn TabActiveBackground TabActiveBorderLeftRight";

}
]]>
</script>
</head>
<body onload="TabClick(0);">
    <div id="page">
        <xsl:apply-templates/>
    </div>
</body>
</html>
</xsl:template >

<xsl:template match="gmd:MD_Metadata">  
<table CELLPADDING="0" CELLSPACING="0" ALIGN="left" STYLE="width: 80%">
<TR>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(0);"><NOBR>
<img src="./../../icons/identification.png" height="24" width="24" alt="Collapse Thread"/> Identification</NOBR></TD>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(1);"><NOBR>
<img src="./../../icons/classification.png" height="24" width="24" alt="Collapse Thread"/> Classification et mots clefs</NOBR></TD>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(2);"><NOBR>
<img src="./../../icons/location.png" height="24" width="24" alt="Collapse Thread"/> Situation gographique</NOBR></TD>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(3);"><NOBR>
<img src="./../../icons/temporality.png" height="24" width="24" alt="Collapse Thread"/> Rfrences temporelles</NOBR></TD>
</TR>
<TR>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(4);"><NOBR>
<img src="./../../icons/quality.png" height="24" width="24" alt="Collapse Thread"/> Qualit</NOBR></TD>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(5);"><NOBR>
<img src="./../../icons/rights_and_uses.png" height="24" width="24" alt="Collapse Thread"/> Droits et usages</NOBR></TD>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(6);"><NOBR>
<img src="./../../icons/responsible.png" height="24" width="24" alt="Collapse Thread"/> Contacts</NOBR></TD>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(7);"><NOBR>
<img src="./../../icons/qgis.png" height="24" width="24" alt="Collapse Thread"/> Mtadonnes</NOBR></TD>
</TR>

<TR>
<TD COLSPAN="4" CLASS="TabContent ClassTAB">
<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt>Titre : </dt>
    <dd><xsl:value-of select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:title/gco:CharacterString"/>
	<br/>
	</dd>
<dt>Type :</dt>
    <dd>
	<xsl:variable name="MyType">
	<xsl:value-of select="gmd:dataQualityInfo/gmd:DQ_DataQuality/gmd:scope/gmd:DQ_Scope/gmd:level/gmd:MD_ScopeCode"/> 
	</xsl:variable>
	<xsl:if test="contains($MyType, 'dataset')">Srie de donnes</xsl:if>
	<xsl:if test="contains($MyType, 'series')">Ensemble de sries de donnes</xsl:if>
	<xsl:if test="contains($MyType, 'service')">Service</xsl:if>
	<br/>
	</dd>
<dt>Rsum : </dt>
    <dd><xsl:value-of select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:abstract/gco:CharacterString"/>
	<br/>
	</dd>
<dt>URL : </dt>
    <dd>
	<ul class="ul1"> 
			<xsl:for-each select="gmd:distributionInfo/gmd:MD_Distribution/gmd:transferOptions/gmd:MD_DigitalTransferOptions/gmd:onLine">
				<xsl:if test="gmd:CI_OnlineResource/gmd:linkage/gmd:URL!=''">
				<li class="li1">
					- <xsl:value-of select="gmd:CI_OnlineResource/gmd:name/gco:CharacterString"/> :<br/> 
					<a>
						<xsl:attribute name="href">
							<xsl:value-of select="gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/> 
						</xsl:attribute>
							<xsl:value-of select="gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/>			
					</a>
					<br/><br/>
				</li>
				</xsl:if>
			</xsl:for-each>
		</ul>
	</dd>	
<dt>Identifiant unique :</dt>
    <dd><xsl:value-of select="gmd:fileIdentifier/gco:CharacterString"/>
	<br/>	
	</dd>
<dt>Langue(s) : </dt>
	<dd>
		<ul class="ul1">
			<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:language">
			<li class="li1"> - <xsl:value-of select="gmd:LanguageCode/@codeListValue"/></li>
			</xsl:for-each>
		</ul>
	</dd>
<dt>Format(s) de distribution : </dt>
	<dd>
	<ul class="ul1"> 
			<xsl:for-each select="gmd:distributionInfo/gmd:MD_Distribution/gmd:distributionFormat/gmd:MD_Format">
				<li class="li1"> - <xsl:value-of select="gmd:name/gco:CharacterString"/> 
					<xsl:if test="gmd:version/gco:CharacterString and gmd:version/gco:CharacterString!=''">
						    (version : <xsl:value-of select="gmd:version/gco:CharacterString"/>)
					</xsl:if>	
					<xsl:if test="gmd:version/gco:CharacterString and gmd:version/gco:CharacterString=''">
					(version inconnue)</xsl:if>					
				</li>
			</xsl:for-each>
		</ul>
	</dd>
<dt>Encodage des JDD : </dt>
	<dd><xsl:value-of select="gmd:characterSet/gmd:MD_CharacterSetCode/@codeListValue"/>
	<br/>
	</dd>
</dl>
</fieldset>
</DIV>

<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt>Mot(s) cl(s) INSPIRE : </dt>
	<dd>
	<ul class="ul1"> 
		<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:descriptiveKeywords/gmd:MD_Keywords[gmd:thesaurusName/gmd:CI_Citation/gmd:title/gco:CharacterString='GEMET - INSPIRE Themes']">
			<li class="li1"> <xsl:value-of select="gmd:thesaurusName/gmd:CI_Citation/gmd:title/gco:CharacterString"/> : 
			<xsl:value-of select="gmd:keyword/gco:CharacterString"/> </li>
		</xsl:for-each>
	</ul>
	</dd>
<dt>Mot(s) cl(s) complmentaires : </dt>
	<dd>
	<ul class="ul1"> 
		<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:descriptiveKeywords/gmd:MD_Keywords[not (gmd:thesaurusName/gmd:CI_Citation/gmd:title/gco:CharacterString='GEMET - INSPIRE Themes')]">
			<li class="li1"> - <b><xsl:value-of select="gmd:keyword/gco:CharacterString"/></b></li> 
			<xsl:if test="gmd:thesaurusName/gmd:CI_Citation/gmd:title/gco:CharacterString">
			[<u>vocabulaire contrl</u> : <i><xsl:value-of select="gmd:thesaurusName/gmd:CI_Citation/gmd:title/gco:CharacterString"/></i> -  
			<u>date</u> : <i><xsl:value-of select="gmd:thesaurusName/gmd:CI_Citation/gmd:date/gmd:CI_Date/gmd:date/gco:Date"/></i> - 
			<u>type de date</u> : <i><xsl:value-of select="gmd:thesaurusName/gmd:CI_Citation/gmd:date/gmd:CI_Date/gmd:dateType/gmd:CI_DateTypeCode"/></i>]
			</xsl:if>
		</xsl:for-each>
	</ul>
	</dd>	
</dl>
</fieldset>
</DIV>

<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt>Emprise(s) : </dt>
<dd>
		<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent/gmd:EX_Extent/gmd:geographicElement/gmd:EX_GeographicBoundingBox">
			<ul class="ul1">
				<li class="li1">X min :<xsl:value-of select="gmd:westBoundLongitude/gco:Decimal"/></li>
				<li class="li1">X max :<xsl:value-of select="gmd:eastBoundLongitude/gco:Decimal"/></li>
				<li class="li1">Y min :<xsl:value-of select="gmd:southBoundLatitude/gco:Decimal"/></li>
				<li class="li1">Y max :<xsl:value-of select="gmd:northBoundLatitude/gco:Decimal"/></li>
			</ul>
		</xsl:for-each>
</dd>
<dt>Systme(s) de coordonnes de rfrence : </dt>
<dd>
		<ul class="ul1">
		<xsl:for-each select="gmd:referenceSystemInfo/gmd:MD_ReferenceSystem/gmd:referenceSystemIdentifier">
			<xsl:if test="gmd:RS_Identifier/gmd:code/gco:CharacterString">
				<li class="li1"> - EPSG : <xsl:value-of select="gmd:RS_Identifier/gmd:code/gco:CharacterString"/></li>
		    </xsl:if>
			<xsl:if test="gmd:RS_Identifier/gmd:code/gmx:Anchor">
				<li class="li1"> - IGN : <xsl:value-of select="gmd:RS_Identifier/gmd:code/gmx:Anchor"/></li>
		    </xsl:if>			
		</xsl:for-each>
		</ul>
</dd>
</dl>
</fieldset>
</DIV>

<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt>Etendue(s) temporelle(s) : </dt>
<dd>
<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:extent/gmd:EX_Extent/gmd:temporalElement/gmd:EX_TemporalExtent/gmd:extent/gml:TimePeriod">
		du <xsl:call-template name="date">
				<xsl:with-param name="ladate" select="gml:beginPosition"/>
			</xsl:call-template> au <xsl:call-template name="date">
				<xsl:with-param name="ladate" select="gml:endPosition"/>
			</xsl:call-template><br/>
</xsl:for-each>
</dd>
<dt>Date de cration : </dt>
<dd>
<xsl:if test="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='creation']/gmd:date/gco:Date"> 
	<xsl:call-template name="date">
		<xsl:with-param name="ladate" select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='creation']/gmd:date/gco:Date"/>
	</xsl:call-template>
</xsl:if>	
<xsl:if test="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='cration']/gmd:date/gco:Date"> 
	<xsl:call-template name="date">
		<xsl:with-param name="ladate" select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='cration']/gmd:date/gco:Date"/>
	</xsl:call-template>
</xsl:if>	
<br/>
</dd>
<dt>Date de rvision : </dt>
<dd>
<xsl:if test="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='revision']/gmd:date/gco:Date"> 
	<xsl:call-template name="date">
		<xsl:with-param name="ladate" select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='revision']/gmd:date/gco:Date"/>
	</xsl:call-template>
</xsl:if>
<xsl:if test="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='rvision']/gmd:date/gco:Date"> 
	<xsl:call-template name="date">
		<xsl:with-param name="ladate" select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='rvision']/gmd:date/gco:Date"/>
	</xsl:call-template>
</xsl:if>
<br/>
</dd>
<dt>Date de publication : </dt>
<dd>
<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:citation/gmd:CI_Citation/gmd:date/gmd:CI_Date[gmd:dateType/gmd:CI_DateTypeCode='publication']/gmd:date">
	<xsl:call-template name="date">
		<xsl:with-param name="ladate" select="gco:Date"/>
	</xsl:call-template><br/>
</xsl:for-each>
</dd>
</dl>
</fieldset>
</DIV>	

<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt>Gnalogie : </dt>
<dd>
<xsl:if test="gmd:dataQualityInfo/gmd:DQ_DataQuality/gmd:lineage/gmd:LI_Lineage/gmd:statement/gco:CharacterString"> 		
	<xsl:value-of select="gmd:dataQualityInfo/gmd:DQ_DataQuality/gmd:lineage/gmd:LI_Lineage/gmd:statement/gco:CharacterString"/> 
</xsl:if>
<br/>
</dd>
<dt>Rsolution(s) spatiale(s) : </dt>
<dd>
<xsl:if test="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:spatialResolution/gmd:MD_Resolution/gmd:equivalentScale">
	<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:spatialResolution/gmd:MD_Resolution/gmd:equivalentScale">
		1/<xsl:value-of select="gmd:MD_RepresentativeFraction/gmd:denominator/gco:Integer"/> ;
	</xsl:for-each>
</xsl:if>
<xsl:if test="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:spatialResolution/gmd:MD_Resolution/gmd:distance">
	<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:spatialResolution/gmd:MD_Resolution/gmd:distance">
		<xsl:value-of select="gco:Distance"/> <xsl:value-of select="gco:Distance/@uom"/>;
	</xsl:for-each>
</xsl:if>
</dd>
<dt>Cohrence topologique : </dt>
<dd>
<ul class="ul1">		
			<li class="li1"><u>TopologyLevelCode</u> : <xsl:value-of select="gmd:spatialRepresentationInfo/gmd:MD_VectorSpatialRepresentation/gmd:topologyLevel/gmd:MD_TopologyLevelCode/@codeListValue"/></li>
			<xsl:if test="gmd:spatialRepresentationInfo/gmd:MD_VectorSpatialRepresentation/gmd:geometricObjects/gmd:MD_GeometricObjects/gmd:geometricObjectType/gmd:MD_GeometricObjectTypeCode">
				<li class="li1"><u>GeometricObjectTypeCode</u> : <xsl:value-of select="gmd:spatialRepresentationInfo/gmd:MD_VectorSpatialRepresentation/gmd:geometricObjects/gmd:MD_GeometricObjects/gmd:geometricObjectType/gmd:MD_GeometricObjectTypeCode/@codeListValue"/></li>
			</xsl:if>			
		</ul>
</dd>
<dt>Spcification(s) de conformit : </dt>
<dd>
<ul class="ul1"> 
	<xsl:for-each select="gmd:dataQualityInfo/gmd:DQ_DataQuality/gmd:report/gmd:DQ_DomainConsistency">
		<li class="li1"> 
			- <xsl:value-of select="gmd:result/gmd:DQ_ConformanceResult/gmd:specification/gmd:CI_Citation/gmd:title/gco:CharacterString"/> du 
		<xsl:call-template name="date">
			<xsl:with-param name="ladate" select="gmd:result/gmd:DQ_ConformanceResult/gmd:specification/gmd:CI_Citation/gmd:date/gmd:CI_Date/gmd:date/gco:Date"/>
		</xsl:call-template>
		- <i>date de <xsl:value-of select="gmd:result/gmd:DQ_ConformanceResult/gmd:specification/gmd:CI_Citation/gmd:date/gmd:CI_Date/gmd:dateType/gmd:CI_DateTypeCode"/></i>
			[<b><xsl:choose>
			<xsl:when test="gmd:result/gmd:DQ_ConformanceResult/gmd:pass/gco:Boolean">
				<xsl:if test="gmd:result/gmd:DQ_ConformanceResult/gmd:pass/gco:Boolean='false'">Non Conforme</xsl:if>
				<xsl:if test="gmd:result/gmd:DQ_ConformanceResult/gmd:pass/gco:Boolean='true'">Conforme</xsl:if>	
			</xsl:when>
	    <xsl:otherwise>Non valu</xsl:otherwise>	
		</xsl:choose></b>]	
		</li>
		</xsl:for-each>
</ul>
</dd>
</dl>
</fieldset>
</DIV>	

<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt>Restrictions pour l'accs aux donnes : </dt>
<dd>
<ul class="ul1">
	<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:resourceConstraints/gmd:MD_LegalConstraints/gmd:accessConstraints">
		<xsl:value-of select="gmd:MD_RestrictionCode"/>
	</xsl:for-each>	
</ul>
</dd>
<dt>Autres contraintes : </dt>
<dd>
<ul class="ul1">
	<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:resourceConstraints/gmd:MD_LegalConstraints/gmd:otherConstraints">
		<li class="li1"> - <xsl:value-of select="gco:CharacterString"/></li>
	</xsl:for-each>		
</ul>
</dd>
<dt>Licence : </dt>
<dd>
<xsl:value-of select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:resourceConstraints/gmd:MD_LegalConstraints/gmd:useLimitation/gco:CharacterString"/>
<br/>
</dd>
</dl>
</fieldset>
</DIV>	

<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:pointOfContact/gmd:CI_ResponsibleParty">
<xsl:variable name="MyType"><xsl:value-of select="gmd:role/gmd:CI_RoleCode"/></xsl:variable>
<xsl:if test="$MyType='owner'">	
<dt>Propritaire : </dt>
<dd>
<ul class="ul1">
	<li class="li1">Organisation : <xsl:value-of select="gmd:organisationName/gco:CharacterString"/></li>
    <li class="li1">Adresse : 
        <xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:deliveryPoint/gco:CharacterString"/><br/>
		<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:postalCode/gco:CharacterString"/><br/>
		<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:city/gco:CharacterString"/><br/>
    </li>
    <li class="li1">Email :
	<xsl:if test="gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString!=''">
		<a>
			<xsl:attribute name="href">
				<xsl:text>mailto:</xsl:text>
				<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/> 
			</xsl:attribute>
				<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/>			
		</a>
	</xsl:if>
	</li>
	<li class="li1">Tlphone :
	<xsl:if test="gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice">
		<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice/gco:CharacterString"/>
	</xsl:if>
	</li>
	<li class="li1">Fax :
	<xsl:if test="gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile">
		<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile/gco:CharacterString"/>
	</xsl:if>
	</li>
	<li class="li1">URL site web :
	<xsl:if test="gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL!=''">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/> 
			</xsl:attribute>
			<xsl:value-of select="gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/>			
		</a>
	</xsl:if>
	</li>
</ul>
</dd>
</xsl:if>	
</xsl:for-each>

<dt>Point de contact : </dt>
<dd>
<ul class="ul1">
	<li class="li1">Organisation : <xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:organisationName/gco:CharacterString"/></li>
    <li class="li1">Adresse :
		<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:deliveryPoint/gco:CharacterString"/><br/>
		<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:postalCode/gco:CharacterString"/><br/>
		<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:city/gco:CharacterString"/><br/>
    </li>
    <li class="li1">Email :
	<xsl:if test="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString!=''">
		<a>
			<xsl:attribute name="href">
				<xsl:text>mailto:</xsl:text>
				<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/> 
			</xsl:attribute>
				<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/>			
		</a>
	</xsl:if>
	</li>
	<li class="li1">Tlphone :
	<xsl:if test="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice">
		<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice/gco:CharacterString"/>
	</xsl:if>
	</li>
	<li class="li1">Fax :
	<xsl:if test="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile">
		<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile/gco:CharacterString"/>
	</xsl:if>
	</li>
	<li class="li1">URL site web :
	<xsl:if test="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL!=''">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/> 
			</xsl:attribute>
			<xsl:value-of select="gmd:contact/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/>			
		</a>
	</xsl:if>
	</li>
</ul>
</dd>

<dt>Autre(s) acteur(s) : </dt>
<xsl:for-each select="gmd:identificationInfo/gmd:MD_DataIdentification/gmd:pointOfContact">
<xsl:variable name="MyType">
 	<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:role/gmd:CI_RoleCode"/>
</xsl:variable>
<xsl:if test="$MyType!='owner' and $MyType!='pointOfContact'">
<dd>
<ul class="ul1">
	<li class="li1">Organisation : <xsl:value-of select="gmd:CI_ResponsibleParty/gmd:organisationName/gco:CharacterString"/></li>
	<li class="li1">Role : <xsl:value-of select="$MyType"/></li>
	<li class="li1">Adresse :
			<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:deliveryPoint/gco:CharacterString"/><br/>
			<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:postalCode/gco:CharacterString"/><br/>
			<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:city/gco:CharacterString"/><br/>
	</li>
    <li class="li1">Email : 
		<xsl:if test="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString!=''">
			<a>
				<xsl:attribute name="href">
					<xsl:text>mailto:</xsl:text>
					<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/> 
				</xsl:attribute>
					<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/>			
			</a>
		</xsl:if>
	</li>
    <li class="li1">Tlphone :
	<xsl:if test="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice">
        <xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice/gco:CharacterString"/>
	</xsl:if>
	</li>
	<li class="li1">Fax :
	<xsl:if test="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile">
		<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile/gco:CharacterString"/>
	</xsl:if>
	</li>
    <li class="li1">URL site web :
	<xsl:if test="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL!=''">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/> 
			</xsl:attribute>
			<xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/>			
		</a>
	</xsl:if>
	</li>
</ul>
</dd>
</xsl:if>	
</xsl:for-each>
</dl>
</fieldset>
</DIV>


<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt>Fiche gnre le : </dt>
<dd>
<xsl:if test="gmd:dateStamp/gco:Date">
	<xsl:call-template name="date">
		<xsl:with-param name="ladate" select="gmd:dateStamp/gco:Date"/>
	</xsl:call-template>
</xsl:if>
<xsl:if test="gmd:dateStamp/gco:DateTime">
	<xsl:value-of select="gmd:dateStamp/gco:DateTime"/>
</xsl:if>	
<br/>
</dd>

<dt>Langue des mtadonnes : </dt>
<dd>
   <xsl:value-of select="gmd:language/gmd:LanguageCode/@codeListValue"/>
<br/>
</dd>

</dl>
</fieldset>
</DIV>

</TD>
</TR>
</table>

</xsl:template>

<xsl:template name="date">
    <xsl:param name="ladate"/>
    <xsl:value-of select="substring($ladate,9,2)"/>/<xsl:value-of select="substring($ladate,6,2)"/>/<xsl:value-of select="substring($ladate,1,4)"/> 
</xsl:template>

<xsl:template match="gfc:FC_FeatureCatalogue"> 
<table CELLPADDING="0" CELLSPACING="0" ALIGN="left" STYLE="width: 80%">
<TR>
<TD CLASS="TabBorderBottom TabCommon TabOff" ID="tabs" NAME="tabs" ONCLICK="TabClick(0);"><NOBR>Dictionnaire des donnes</NOBR></TD>
</TR>

<TR>
<TD COLSPAN="4" CLASS="TabContent ClassTAB">
<DIV ID="Content" NAME="Content">
<fieldset>
<dl>
<dt><img src="./../../icons/contact.png" height="24" width="24" alt="Collapse Thread"/>
<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>Point de contact : </dt>
<dd>
<ul class="ul1">
	<li class="li1">Organisation :  <xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:organisationName/gco:CharacterString"/></li>
    <li class="li1">Adresse :
		<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:deliveryPoint/gco:CharacterString"/><br/>
		<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:postalCode/gco:CharacterString"/><br/>
		<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:city/gco:CharacterString"/><br/>
    </li>
    <li class="li1">Email : 
	<xsl:if test="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString!=''">
		<a>
			<xsl:attribute name="href">
				<xsl:text>mailto:</xsl:text>
				<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/> 
			</xsl:attribute>
				<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:address/gmd:CI_Address/gmd:electronicMailAddress/gco:CharacterString"/>			
		</a>
	</xsl:if>
	</li>
    <li class="li1">Tlphone :
	<xsl:if test="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice">
        <xsl:value-of select="gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:voice/gco:CharacterString"/>
	</xsl:if>
	</li>
	<li class="li1">Fax :
	<xsl:if test="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile">
		<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:phone/gmd:CI_Telephone/gmd:facsimile/gco:CharacterString"/>
	</xsl:if>
	</li>
    <li class="li1">URL site web :
	<xsl:if test="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL!=''">
		<a>
			<xsl:attribute name="href">
				<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/> 
			</xsl:attribute>
			<xsl:value-of select="gfc:producer/gmd:CI_ResponsibleParty/gmd:contactInfo/gmd:CI_Contact/gmd:onlineResource/gmd:CI_OnlineResource/gmd:linkage/gmd:URL"/>			
		</a>
	</xsl:if>
	</li>	
</ul>
</dd>
<h2>Informations diverses</h2>
<dt>Intitul : </dt>
<dd>
<xsl:value-of select="gfc:name/gco:CharacterString"/>
<br/>
</dd>
<dt>Nom de la couche : </dt>
<dd>
<xsl:value-of select="gfc:scope/gco:CharacterString"/>
<br/>
</dd>
<dt>Numro de version : </dt>
<dd>
<xsl:value-of select="gfc:versionNumber/gco:CharacterString"/>
<br/>
</dd>
<dt>Date de version : </dt>
<dd>
	<xsl:call-template name="date">
		<xsl:with-param name="ladate" select="gfc:versionDate/gco:Date"/>
	</xsl:call-template>
<br/>
</dd>
<h2>Catalogue d'attributs :</h2>
<xsl:for-each select="gfc:featureType/gfc:FC_FeatureType/gfc:carrierOfCharacteristics/gfc:FC_FeatureAttribute">
<dt><img src="./../../icons/attribut.png" height="12" width="12" alt="Collapse Thread"/><xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text><xsl:value-of select="gfc:memberName/gco:LocalName"/></dt>
<dd>
<xsl:value-of select="gfc:valueType/gco:TypeName/gco:aName/gco:CharacterString"/><br/>[<i><xsl:value-of select="gfc:definition/gco:CharacterString"/></i>]
</dd>
</xsl:for-each>


</dl>
</fieldset>
</DIV>

</TD>
</TR>
</table>
</xsl:template>

</xsl:stylesheet>
